Range-v3 Range algorithms, views, and actions for the Standard Library |

All Classes Files Functions Typedefs Modules Pages
Public Member Functions | List of all members
ranges::v3::range_access::BidirectionalCursorConcept Struct Reference
Inheritance diagram for ranges::v3::range_access::BidirectionalCursorConcept:

## Public Member Functions
template<typename T >
auto | requires_ (T &&t) -> decltype(concepts::valid_expr((t.prev(), concepts::void_)))
Public Member Functions inherited from ranges::v3::concepts::refines< ForwardCursorConcept >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< ForwardCursorConcept >
using | base_concepts_t = meta::list< Concepts...>